"use strict";
module.exports = function (_a) {
    var directives = _a.directives;
    var namesSeen = new Set();
    var result = [];
    Object.keys(directives).forEach(function (originalName) {
        var name = originalName.replace(/([a-z])([A-Z])/g, "$1-$2").toLowerCase();
        if (namesSeen.has(name)) {
            throw new Error("".concat(originalName, " is specified more than once"));
        }
        namesSeen.add(name);
        var value = directives[originalName];
        if (Array.isArray(value)) {
            value = value.join(" ");
        }
        else if (value === true) {
            value = "";
        }
        if (value) {
            result.push("".concat(name, " ").concat(value));
        }
        else if (value !== false) {
            result.push(name);
        }
    });
    return result.join("; ");
};
